Request

Response

    Forms
    GET

    v2/projects/{projectId}/forms/{formId}/pdf-values

    Returns the field values extracted from a PDF-based form as a paginated list of name/value pairs, where name is the PDF field name and value is the entered value.

    These values were previously returned as part of the form response by the deprecated GET forms endpoint. If you are migrating from v1 to v2, see the Forms API Migration Guide.

    This endpoint supports only PDF forms with an associated PDF. For web forms, use the GET custom values and GET table values endpoints to retrieve non-tabular field values and table values.

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/construction/forms/v2/projects/:projectId/forms/:formId/pdf-values
    Authentication Context
    User context required
    Required OAuth Scopes
    data:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow or a Secure Service Account (SSA) flow.

    The SSA flow is designed for headless server-to-server operations. While it functions like a two-legged flow (no user interaction), it is classified as three-legged because it preserves user context.

    * Required

    Request

    URI Parameters

    projectId
    string
    The ID of the project.

    Use the Data Management API to retrieve the project ID. For more information, see the Retrieve a Project ID tutorial. You need to convert the project ID into a project ID for the Forma API by removing the “b." prefix. For example, a project ID of b.a4be0c34a-4ab7 translates to a project ID of a4be0c34a-4ab7.

    formId
    string
    The unique identifier of the form.

    Use GET forms to retrieve the form ID.

    Request

    Query String Parameters

    offset
    int
    The number of records to skip before returning results. Default value: 0. To retrieve subsequent pages, increase the offset by the number of records returned in the previous request.
    limit
    int
    The number of records to return in a single request. Can be a number between 1 and 200. Defaults to 200.

    Response

    HTTP Status Code Summary

    200
    OK
    PDF field values retrieved successfully.
    400
    Bad Request
    The request is invalid due to malformed syntax or a missing request header.
    401
    Unauthorized
    The request lacks valid authentication credentials.
    403
    Forbidden
    The client is authenticated but does not have permission to access the resource.
    404
    Not Found
    The resource cannot be found.
    429
    Too Many Requests
    The request exceeds the rate limit for this resource.
    500
    Internal Server Error
    The request failed due to an internal server error.

    Response

    Body Structure (200)

    Expand all
    data
    array: object
    A list of PDF field value objects for the form.
    name
    string
    The name of the PDF field.
    value
    string
    The value of the PDF field. The value can be null if the field is empty or does not have an extracted value.
    pagination
    object
    Pagination information.
    offset
    int
    The number of results skipped.
    limit
    int
    The maximum number of results per page.
    totalResults
    int
    The total number of results.
    nextUrl
    string
    The URL for the next page of results. The value can be null if it is the last page.

    Example

    PDF field values retrieved successfully.

    Request

    curl -v 'https://developer.api.autodesk.com/construction/forms/v2/projects/:projectId/forms/:formId/pdf-values' \
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
    

    Response

    {
      "data": [
        {
          "name": "CommentsRow1",
          "value": "Observed Masks and Face Covering"
        }
      ],
      "pagination": {
        "offset": 0,
        "limit": 50,
        "totalResults": 1,
        "nextUrl": null
      }
    }
    
    Show More